/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomHTMLOListElement_H__
#define __GdomHTMLOListElement_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomHTMLElement.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomHTMLOListElement GdomHTMLOListElement;
typedef struct _GdomHTMLOListElementClass GdomHTMLOListElementClass;


#define GDOM_TYPE_HTMLO_LIST_ELEMENT            (gdom_htmlo_list_element_get_type())
#define GDOM_HTMLO_LIST_ELEMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_HTMLO_LIST_ELEMENT, GdomHTMLOListElement))
#define GDOM_HTMLO_LIST_ELEMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_HTMLO_LIST_ELEMENT, GdomHTMLOListElement)Class)
#define GDOM_IS_HTMLO_LIST_ELEMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_HTMLO_LIST_ELEMENT))
#define GDOM_IS_HTMLO_LIST_ELEMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_HTMLO_LIST_ELEMENT))
#define GDOM_HTMLO_LIST_ELEMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_HTMLO_LIST_ELEMENT, GdomHTMLOListElementClass))

typedef struct _GdomHTMLOListElementPrivate GdomHTMLOListElementPrivate;

struct _GdomHTMLOListElement {
    GdomHTMLElement parent_instance;
    GdomHTMLOListElementPrivate *priv;
};

struct _GdomHTMLOListElementClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_htmlo_list_element_get_type (void);

G_END_DECLS

#endif /* __GdomHTMLOListElement_H__ */
